Bug 215093 - net/ntp fails to build on FreeBSD11.0Stable and libressl
Summary: net/ntp fails to build on FreeBSD11.0Stable and libressl
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-06 10:16 UTC by dewayne
Modified: 2016-12-22 11:59 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (cy)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dewayne 2016-12-06 10:16:58 UTC
Unfortunately there is not a lot to add.  FreeBSD 11.0S 
#uname -aKU
FreeBSD b2.hs 11.0-STABLE FreeBSD 11.0-STABLE #0 r309522M: Sun Dec  4 22:35:36 AEDT 2016    root@hathor:/110001/D/K8/hqdev-amd64-smp-vga  amd64 1100506 1100506

The following make command triggers a few (obvious) CFLAG additions for march,mtune, which result in the following undefines.  Other jails on the same platform that share /usr/ports build for i386 using openssl, complete successfully and operate correctly.

make -C /usr/ports/net/ntp -DMAKE_JOBS_UNSAFE -DUSE_CORE2 package
...
bin/sh ./libtool  --tag=CC    --mode=link /usr/local/libexec/ccache/cc -ffunction-sections -fdata-sections -Wall -Wcast-align -Wcast-qual -Wmissing-prototypes -Wpointer-arith -Wshadow -Winit-self -Wstrict-overflow   -Wstrict-prototypes -O2 -pipe -DOPENSSL_NO_SSL2 -DOPENSSL_NO_SSL3 -g0 -ggdb0 -DSTRIP_FBSDID -UNDEBUG -UDEBUGGING -UDEBUG -march=core2 -mtune=core2  -isystem /usr/local/include -fno-strict-aliasing   -Wl,-rpath,/usr/local/lib -L/usr/local/lib -o sntp sntp.o  version.o libsntp.a ./libopts/libopts.la -L/usr/local/lib -pthread -levent_pthreads -levent_core  ../libntp/libntp.a -Wl,--gc-sections -lmd5 -lm -pthread  -L/usr/local/lib -lcrypto
libtool: link: /usr/local/libexec/ccache/cc -ffunction-sections -fdata-sections -Wall -Wcast-align -Wcast-qual -Wmissing-prototypes -Wpointer-arith -Wshadow -Winit-self -Wstrict-overflow -Wstrict-prototypes -O2 -pipe -DOPENSSL_NO_SSL2 -DOPENSSL_NO_SSL3 -g0 -ggdb0 -DSTRIP_FBSDID -UNDEBUG -UDEBUGGING -UEBUGGING -UDEBUG -march=core2 -mtune=core2 -isystem /usr/local/include -fno-strict-aliasing -Wl,-rpath -Wl,/usr/local/lib -o sntp sntp.o version.o -pthread -Wl,--gc-sections -pthread  -L/usr/local/lib libsntp.a ./libopts/.libs/libopts.a -levent_pthreads -levent_core ../libntp/libntp.a -lmd5 -lm -lcrypto -pthread
libsntp.a(crypto.o): In function `make_mac':
crypto.c:(.text.make_mac+0x56): undefined reference to `EVP_MD_CTX_new'
crypto.c:(.text.make_mac+0xae): undefined reference to `EVP_MD_CTX_free'
../libntp/libntp.a(ssl_init.o): In function `keytype_from_text':
ssl_init.c:(.text.keytype_from_text+0x17c): undefined reference to `EVP_MD_CTX_new'
ssl_init.c:(.text.keytype_from_text+0x1b4): undefined reference to `EVP_MD_CTX_free'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1
Comment 1 John Marino freebsd_committer 2016-12-13 00:52:02 UTC
The platform isn't relevant.  The same thing is happening with DF/LibreSSL too.

If libressl can't be supported quickly, we need to mark it IGNORE when LibreSSL is selected.
Comment 2 Cy Schubert freebsd_committer 2016-12-13 02:59:43 UTC
ntp and ntp-devel fail to build due conflicting md5 symbol definitions. The ports will be marked IGNORE if libressl* is installed. Upline will need to address this at some future date.
Comment 3 commit-hook freebsd_committer 2016-12-13 03:00:21 UTC
A commit references this bug:

Author: cy
Date: Tue Dec 13 03:00:08 UTC 2016
New revision: 428460
URL: https://svnweb.freebsd.org/changeset/ports/428460

Log:
  Flag ntp and ntp-devel ignore if libressl is installed due to md5
  symbol conflicts.

  PR:		215093

Changes:
  head/net/ntp/Makefile
  head/net/ntp-devel/Makefile
Comment 4 dewayne 2016-12-22 11:59:38 UTC
(In reply to Cy Schubert from comment #2)
Thanks for providing the patch  Christian Weisgerber (naddy).  For others, please refer:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215323
https://svnweb.freebsd.org/ports?view=revision&revision=428634

Rejected? Hmm